Allow implicit-fallthrough warnings locally.
authorChih-Hung Hsieh <chh@google.com>
Mon, 22 Oct 2018 16:42:57 +0000 (09:42 -0700)
committerChih-Hung Hsieh <chh@google.com>
Mon, 22 Oct 2018 16:42:57 +0000 (09:42 -0700)
It will be a global error by default.

Test: make checkbuild
Bug: 112564944
Change-Id: I3e914835fcb4ee97662ab51136f143e665d0ba01
Exempt-From-Owner-Approval: do not block on new warnings

broadcastradio/common/utils2x/Android.bp

index aab94f2a1f7658ca76e036882e81c104e9c4ce03..df2cefe36c4fa9b4d725f5d6c6c5b58fcbb2f208 100644 (file)
@@ -22,6 +22,7 @@ cc_library_static {
         "-Wall",
         "-Wextra",
         "-Werror",
+        "-Wno-error=implicit-fallthrough",
     ],
     cppflags: [
         "-std=c++1z",